All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
device.hpp File Reference

Represents an OpenCL device within ViennaCL. More...

`#include <CL/cl.h>`
`#include <stdio.h>`
`#include <vector>`
`#include <string>`
`#include <sstream>`
`#include <assert.h>`
`#include "viennacl/ocl/device_utils.hpp"`
`#include "viennacl/ocl/handle.hpp"`
`#include "viennacl/ocl/error.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::ocl::device
| A class representing a compute device (e.g. a GPU) More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::ocl
| OpenCL backend. Manages platforms, contexts, buffers, kernels, etc.

## Detailed Description

Represents an OpenCL device within ViennaCL.

Definition in file device.hpp.